package com.persagy.apm.common.context.poems;

/**
 * poems上下文
 *
 * @author lixing
 * @version V1.0 2021/5/19 7:14 下午
 **/
public class PoemsContext {
    /** 线程级的上下文 */
    private static final ThreadLocal<PoemsContextContent> context = new ThreadLocal<>();

    public static void unloadContext() {
        context.remove();
    }

    public static void setContext(String userId, String loginDevice, String pd) {
        PoemsContextContent poemsContextContent = context.get();
        poemsContextContent.setUserId(userId);
        poemsContextContent.setLoginDevice(loginDevice);
        poemsContextContent.setPd(pd);
    }

    public static PoemsContextContent getContext() {
        return context.get();
    }
}
