package com.persagy.apm.common.model.dto;

import com.persagy.apm.common.constant.PageQueryConstants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.minidev.json.annotate.JsonIgnore;

import java.util.List;

/**
 * 分页条件
 *
 * @author lixing
 * @version V1.0 2021/4/29 2:57 下午
 */
@Data
@ApiModel
public class PageDTO {
    @ApiModelProperty(value = "当前页数")
    private Integer page;

    @ApiModelProperty(value = "每页条数")
    private Integer size;
    @ApiModelProperty(value = "排序方式")
    private List<Sort> orders;

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Integer startIndex;

    public Integer getStartIndex() {
        return (getPage() - 1) * getSize();
    }

    public Integer getPage() {
        if (this.page == null) {
            return PageQueryConstants.DEFAULT_PAGE;
        }
        return this.page;
    }

    public Integer getSize() {
        if (this.size == null) {
            return PageQueryConstants.DEFAULT_SIZE;
        }
        return this.size;
    }
}

