package com.persagy.apm.common.model.query;

import lombok.Data;

import java.io.Serializable;


/**
 * 基于sql表达式，只能后台添加
 * @author Sun
 * @version 1.0 2014年5月9日
 * @since 1.7
 */
@Data
public class SqlExpression implements IExpression,Serializable{


	/**
	 * 序列id
	 */
	private static final long serialVersionUID = 7826974743759458453L;

	/**
	 * sql语句
	 */
	private String sql = null;


	/**
	 * 构造方法
	 */
	public SqlExpression(){
	}

	/**
	 * 表达式构造方法,操作符为等于
	 * @param sql sql语句
	 */
	public SqlExpression(String sql){
		this.sql = sql;
	}

	@Override
	public int hashCode() {
		return toString().hashCode();
	}


	@Override
	public boolean equals(Object obj) {
		return obj instanceof SqlExpression && this.toString().equals(obj.toString());
	}

	@Override
	public String toString() {
		return getSql();
	}


	@Override
	public ExpressionType getType() {
		return ExpressionType.SQL;
	}
}
