package com.persagy.apm.common.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
/***
 * Description: VO基类
 * @author : lijie
 * @date :2021/4/10 14:02
 * Update By lijie 2021/4/10 14:02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseVo {
    /**用户id*/
    @ApiModelProperty(value = "账号id",required = true)
    @NotBlank(message = "缺少非空项:user_id")
    @JsonProperty("user_id")
    @JsonAlias({"user_id","userId","accountId","account_id"})
    private String userId;

}
