package com.persagy.apm.common.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@EqualsAndHashCode
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GeneralDictVo {
    @ApiModelProperty(value = "字典code")
    private String code;

    @ApiModelProperty(value = "字典名称")
    private String name;

    @ApiModelProperty(value = "字典描述")
    private String description;

    @ApiModelProperty(value = "有效值",hidden = true)
    @JsonIgnore
    private Boolean valid;

    @ApiModelProperty(value = "字典类型",hidden = true)
    @JSONField(alternateNames = {"dict_type","dictType"})
    @JsonProperty("dict_type")
    private String dictType;

    @ApiModelProperty(value = "默认使用与否",hidden = true)
    @JSONField(alternateNames = {"default_use","defaultUse"})
    @JsonIgnore
    private Boolean defaultUse;

    @ApiModelProperty(value = "字典唯一标识",hidden = true)
    @JSONField(alternateNames = {"dict_id","dictId"})
    @JsonIgnore
    private String dictId;

    @ApiModelProperty(value = "更新时间",hidden = true)
    @JSONField(alternateNames = {"update_time","updateTime"})
    @JsonIgnore
    private String updateTime;

    @ApiModelProperty(value = "创建时间",hidden = true)
    @JSONField(alternateNames = {"create_time","createTime"})
    @JsonIgnore
    private String createTime;

    @ApiModelProperty(value = "扩展字段",hidden = true)
    @JSONField(alternateNames = {"extend_field","extendField"})
    @JsonIgnore
    private String extendField;

    @ApiModelProperty(value = "自定义名称",hidden = true)
    @JSONField(alternateNames = {"customer_name","customerName"})
    @JsonIgnore
    private String customerName;

    @ApiModelProperty(value = "是否使用自定义名称",hidden = true)
    @JSONField(alternateNames = {"customer_use","customerUse"})
    @JsonIgnore
    private String customerUse;

    @ApiModelProperty(value = "排序",hidden = true)
    @JsonIgnore
    private Integer order;


}
