package com.persagy.apm.common.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.common.utils.ResponseResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @description 
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:17:08
 */
@Data
@ToString
public class OldResponseResult<T> extends ResponseResult implements Serializable {
	private static final long serialVersionUID = -5424463986046237843L;
	/**结果code*/
	@ApiModelProperty("结果code")
	@JsonProperty("ResultCode")
	private String respCode;
	/**结果标志:success-成功,failure-失败*/
	@ApiModelProperty("结果标志:success-成功,failure-失败")
	@JsonProperty("Result")
	private String result;
	/**响应描述*/
	@ApiModelProperty("响应描述")
	@JsonProperty("ResultMsg")
	private String respMsg;
	/**响应数据数组*/
	@ApiModelProperty("响应数据数组")
	@JsonProperty("Content")
	@JsonInclude(JsonInclude.Include.NON_NULL)
	private List<T> content;
	/**响应数据，对象类型*/
	@ApiModelProperty("响应数据，对象类型")
	@JsonProperty("Item")
	@JsonInclude(JsonInclude.Include.NON_NULL)
	private T item;
	/**记录总数*/
	@ApiModelProperty("响应数据条数")
	@JsonProperty("Count")
	private Long count;
	
	public OldResponseResult() {
		
	}

	public OldResponseResult(String respCode, String result, String respMsg) {
		this.respCode = respCode;
		this.result=result;
		this.respMsg = respMsg;
	}
	
	public OldResponseResult(String respCode, String result, String respMsg, List<T> content) {
		this.respCode = respCode;
		this.result=result;
		this.respMsg = respMsg;
		this.content = content;
	}

	public OldResponseResult(String respCode, String result, String respMsg, List<T> content, Long count) {
		this.respCode = respCode;
		this.result=result;
		this.respMsg = respMsg;
		this.content = content;
		this.count = count;
	}
	public OldResponseResult(String respCode, String result, String respMsg, T item) {
		this.respCode = respCode;
		this.result=result;
		this.respMsg = respMsg;
		this.item = item;
	}

}
