package com.persagy.apm.common.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 分页列表
 * @author Charlie Yu
 * @data 2021-03-25
 */
@Data
@ApiModel("分页列表")
public class PageList<T> {
    @ApiModelProperty("当前页数据")
    private List<T> records;
    @ApiModelProperty("总条数")
    private long total;

    public PageList(final List<T> records, final long total) {
        this.records = records;
        this.total = total;
    }
}
