# 表结构设计

**数据库名：** energy_report

**文档版本：** 1.0.0

**文档描述：** 表结构设计

| 表名                  | 说明       |
| :---: | :---: |
| [function](#function) | 能耗报告信息点 |
| [function_group](#function_group) | 信息点分组 |
| [function_value](#function_value) | 能耗报告信息点取值 |
| [report_business_detail](#report_business_detail) | 商业报告详情 |
| [report_detail_statistics_item_rel](#report_detail_statistics_item_rel) | 报告详情与统计条目的关联 |
| [report_outline](#report_outline) | 报告概要 |
| [report_type](#report_type) | 报告类型 |
| [report_type_statistics_item_rel](#report_type_statistics_item_rel) | 报告类型和统计条目关联关系 |
| [statistic_items](#statistic_items) | 统计条目 |

**表名：** <a id="function">function</a>

**说明：** 能耗报告信息点

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | group_code |   varchar   | 50 |   0    |    N     |  N   |       | 集团编码  |
|  3   | energy_type |   varchar   | 10 |   0    |    N     |  N   |       | 能耗类型  |
|  4   | building_type |   varchar   | 10 |   0    |    N     |  N   |       | 建筑类型（业态）  |
|  5   | function_type |   varchar   | 10 |   0    |    N     |  N   |       | 信息点类型（0-能耗，1-费用，2-能耗预算，3-费用预算）  |
|  6   | model_code |   varchar   | 50 |   0    |    N     |  N   |       | 能耗模型编码  |
|  7   | item_id |   varchar   | 50 |   0    |    N     |  N   |       | 分项id  |
|  8   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  9   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  10   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  11   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  12   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  13   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="function_group">function_group</a>

**说明：** 信息点分组

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 50 |   0    |    N     |  N   |       | 分组名称  |
|  3   | group_ids |   text   | 65535 |   0    |    N     |  N   |       | 包含的分组id（预留字段）  |
|  4   | function_ids |   text   | 65535 |   0    |    N     |  N   |       | 包含的信息点id  |
|  5   | belong_paragraph |   varchar   | 50 |   0    |    Y     |  N   |       | 所属段落（如果不直属段落，这里不填）  |
|  6   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  7   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  8   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  9   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  10   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  11   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="function_value">function_value</a>

**说明：** 能耗报告信息点取值

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | function_id |   varchar   | 64 |   0    |    N     |  N   |       | 信息点id  |
|  3   | project_id |   varchar   | 50 |   0    |    N     |  N   |       | 项目id  |
|  4   | data_time |   timestamp   | 26 |   0    |    N     |  N   |       | 数据时间  |
|  5   | value |   varchar   | 50 |   0    |    N     |  N   |       | 信息点的值  |
|  6   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  7   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  8   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  9   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  10   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  11   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="report_business_detail">report_business_detail</a>

**说明：** 商业报告详情

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | open_power |   json   | 1073741824 |   0    |    Y     |  N   |       | 在营项目用电量数据对象信息,项目月报使用此字段  |
|  3   | open_power_explain |   text   | 65535 |   0    |    Y     |  N   |       | 在营项目用电情况说明  |
|  4   | compare_power |   json   | 1073741824 |   0    |    Y     |  N   |       | 可同比项目用电量数据对象信息  |
|  5   | compare_power_explain |   text   | 65535 |   0    |    Y     |  N   |       | 可同比项目用电情况说明  |
|  6   | open_cost |   json   | 1073741824 |   0    |    Y     |  N   |       | 在营项目能源费数据对象信息,项目月报使用此字段  |
|  7   | open_cost_explain |   text   | 65535 |   0    |    Y     |  N   |       | 在营项目费用说明  |
|  8   | compare_cost |   json   | 1073741824 |   0    |    Y     |  N   |       | 可同比项目能源费数据对象信息  |
|  9   | compare_cost_explain |   text   | 65535 |   0    |    Y     |  N   |       | 可同比项目费用说明  |
|  10   | job |   json   | 1073741824 |   0    |    Y     |  N   |       | 能耗管理工作开展对象信息  |
|  11   | remark |   text   | 65535 |   0    |    Y     |  N   |       | 备注说明  |
|  12   | platform |   json   | 1073741824 |   0    |    Y     |  N   |       | 能耗管理平台运维对象信息  |
|  13   | item_explain |   text   | 65535 |   0    |    Y     |  N   |       | 事项说明  |
|  14   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  15   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  16   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  17   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  18   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  19   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="report_detail_statistics_item_rel">report_detail_statistics_item_rel</a>

**说明：** 报告详情与统计条目的关联

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | report_detail_id |   varchar   | 64 |   0    |    N     |  N   |       | 报告详情主键  |
|  3   | report_type_id |   varchar   | 64 |   0    |    N     |  N   |       | 报告类型id  |
|  4   | statistics_item_id |   varchar   | 64 |   0    |    N     |  N   |       | 统计条目id  |
|  5   | unqualified_reason |   text   | 65535 |   0    |    Y     |  N   |       | 不合格原因  |
|  6   | remark |   text   | 65535 |   0    |    Y     |  N   |       | 备注  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="report_outline">report_outline</a>

**说明：** 报告概要

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 报告id  |
|  2   | name |   varchar   | 500 |   0    |    N     |  N   |       | 报告名称  |
|  3   | report_month |   timestamp   | 26 |   0    |    N     |  N   |       | 报告月份  |
|  4   | belong |   varchar   | 50 |   0    |    N     |  N   |       | 报告所属  |
|  5   | report_type_id |   varchar   | 64 |   0    |    N     |  N   |       | 报告类型id  |
|  6   | detail_id |   varchar   | 64 |   0    |    N     |  N   |       | 报告详情id  |
|  7   | status |   varchar   | 3 |   0    |    N     |  N   |       | 报告状态  |
|  8   | remark |   json   | 1073741824 |   0    |    Y     |  N   |       | 备注  |
|  9   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  10   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  11   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  12   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  13   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  14   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="report_type">report_type</a>

**说明：** 报告类型

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 50 |   0    |    N     |  N   |       | 报告类型名称  |
|  3   | building_type |   varchar   | 3 |   0    |    N     |  N   |       | 业态编码  |
|  4   | belong_type |   varchar   | 3 |   0    |    N     |  N   |       | 报告所属类型enum0-项目；1-大区  |
|  5   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  6   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  7   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  8   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  9   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  10   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="report_type_statistics_item_rel">report_type_statistics_item_rel</a>

**说明：** 报告类型和统计条目关联关系

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | report_type_id |   varchar   | 64 |   0    |    N     |  N   |       | 报告类型id  |
|  3   | statistics_item_id |   varchar   | 50 |   0    |    N     |  N   |       | 统计条目id  |
|  4   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  5   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  6   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  7   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  8   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  9   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |

**表名：** <a id="statistic_items">statistic_items</a>

**说明：** 统计条目

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | item_code |   varchar   | 50 |   0    |    N     |  N   |       | 条目编码  |
|  3   | item_source |   varchar   | 50 |   0    |    N     |  N   |       | 条目来源  |
|  4   | standard_value |   varchar   | 100 |   0    |    Y     |  N   |       | 合格的标准  |
|  5   | qualify_formula |   varchar   | 50 |   0    |    Y     |  N   |       | 合格的判断公式  |
|  6   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  7   | creator |   varchar   | 32 |   0    |    Y     |  N   |       | 创建人  |
|  8   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  9   | modifier |   varchar   | 32 |   0    |    Y     |  N   |       | 最后修改人  |
|  10   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 最后修改时间  |
|  11   | valid |   int   | 10 |   0    |    Y     |  N   |       | 合法标识  |
