package com.persagy.apm.translate.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.ResultHandler;

import java.util.List;
import java.util.Map;


/**
 * 基于数据库翻译的dao
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITranslateDao{

	/**
	 * 根据sql语句查询
	 * @param sql  查询sql
	 * @param parameter 参数
	 * @return 结果集
	 */
	Map<String,Object> findTransBySql(@Param("sql") String sql, @Param("parameter") String parameter);

	/**
	 * 批量翻译查询
	 * @param sql       查询sql
	 * @param parameter 参数
	 * @param handler 结果处理
	 */
	void findBatchTransBySql(@Param("sql") String sql, @Param("parameter") List<String> parameter, ResultHandler handler);

}
