package com.persagy.apm.translate.extension;

import com.persagy.apm.translate.model.ITransWrapper;

import java.util.Collection;

/**
 * 翻译包装对象工厂类
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITransWrapperBuilder {

    /**
     * 创建包装对象
     * @param obj　原始对象
     * @return 包装对象
     */
    ITransWrapper createWrapper(Object obj);

    /**
     * 是否需要替换原始对象
     * @return 布尔值
     */
    boolean isNeedReplaceOrigin();

    /**
     * 设置目标字段集合
     * @param target　目标字段集合
     */
    void setExtendProps(Collection<String> target);
}
