package com.persagy.apm.translate.web;

import com.persagy.apm.translate.helper.TranslatorHelper;
import com.persagy.apm.translate.model.ITransable;
import org.springframework.http.HttpOutputMessage;
import org.springframework.http.converter.HttpMessageNotWritableException;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;

import java.io.IOException;
import java.lang.reflect.Type;


/**
 * 支持翻译扩展原有的JsonConvert
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public class MappingJacksonHttpMessageConverter extends MappingJackson2HttpMessageConverter {

	@Override
	public void writeInternal(Object object, Type type, HttpOutputMessage outputMessage)
			throws IOException, HttpMessageNotWritableException {
		if(object instanceof ITransable){
			object = TranslatorHelper.translate((ITransable)object);
		}else {
			object = TranslatorHelper.translate(object);
		}
		super.writeInternal(object,type, outputMessage);
	}

}
